Bug 17735 - [XSLT 3.0] xsl:copy on-empty with attribute nodes
Summary: [XSLT 3.0] xsl:copy on-empty with attribute nodes
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 (show other bugs)
Version: Working drafts
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Michael Kay
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-10 13:28 UTC by Michael Kay
Modified: 2013-02-12 21:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2012-07-10 13:28:33 UTC
The xsl:copy instruction is defined to ignore the on-empty attribute when the node being copied is an attribute node. Since xsl:attribute has an on-empty attribute, it would make more sense to take account of it. Indeed, it makes more sense to take note of on-empty when copying comments, PIs, and text nodes than to ignore it.
Comment 1 Michael Kay 2013-02-11 15:47:14 UTC
Accepted (action on editor to define the detail text).
Comment 2 Michael Kay 2013-02-12 21:45:53 UTC
Changes applied.